<?php

require_once "../../../app/model/db.class.php";


if ($_POST['accion']=='mostrar_titulo'){

    echo "CONSULTAR ALUMNOS      -     MATRICULAS";

}

//---------------------------------------

if ($_POST['accion']=='mostrar_tabla'){


    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $codigo=$_REQUEST['codigo'];
    $pa=$_REQUEST['pa'];
    $sa=$_REQUEST['sa'];
    $pn=$_REQUEST['pn'];
    $sn=$_REQUEST['sn'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    $estado=$_REQUEST['estado'];
    $observaciones=$_REQUEST['observaciones'];
            
    $r0=''; $r1=''; $r2=''; $r3=''; $r4=''; $r5=''; $r6=''; $r7='';
        

    if ($observaciones=='true'){
        $observaciones='1';
    }

    if ($observaciones=='false'){
        $observaciones='0';
    }

    
    if($codigo!='')//---CODIGO
        {
            $r0="='".$codigo."'";
        }else{
            $r0=" like '%' ";
        }


    if($pa!='')//---P_APELLIDO
        {
            $r1="='".$pa."'";
        }else{
            $r1=" like '%' ";
        }
    
        
    if($sa!='')//---S_APELLIDO
        {
            $r2="='".$sa."'";
        }else{
            $r2=" like '%' ";
        }
        
    if($grado!='')//---GRADO
        {
            $r3="='".$grado."'";
        }else{
            $r3=" like '%' ";
        }
    
     if($curso!='')//---CURSO
        {
            $r4="='".$curso."'";
        }else{
            $r4=" like '%' ";
        }
    
    
     if($estado!='')//---ESTADO
        {
            $r5="='".$estado."'";
        }else{
            $r5=" like '%' ";
        }
       
    if($pn!='')//---P_NOMBRE
        {
            $r6="='".$pn."'";
        }else{
            $r6=" like '%' ";
        }
    
    
    if($sn!='')//---S_NOMBRE
        {
            $r7="='".$sn."'";
        }else{
            $r7=" like '%' ";
        }


    if(($pa!='')&&($pa!='*'))
     {
       $r1="like '".$pa."%'";
     }

     if(($sa!='')&&($sa!='*'))
     {
       $r2="like '".$sa."%'";
     }

    if(($pn!='')&&($pn!='*'))
     {
       $r6="like '".$pn."%'";
     }


     if(($sn!='')&&($sn!='*'))
     {
       $r7="like '".$sn."%'";
     }

    $sql="select matriculas.codigo, alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre,matriculas.grado,matriculas.curso,matriculas.promovido,matriculas.estado,matriculas.observacion from matriculas inner join alumnos on matriculas.codigo=alumnos.codigo where matriculas.codigo ".$r0." and matriculas.grado ".$r3." and matriculas.curso ".$r4." and matriculas.estado ".$r5." and alumnos.p_apellido ".$r1." and alumnos.s_apellido ".$r2." and alumnos.p_nombre ".$r6." and alumnos.s_nombre ".$r7." order by alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre asc";

    $resultado=$obj->consulta($sql);


    $cadena="<center><br><table border='0' cellspacing='3' cellpadding='2' class='t_info' style='font-size:14px'>";
    $cadena.="<tr >";
    $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; No. &nbsp;</td>";
    $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; C&Oacute;DIGO &nbsp;</td>";
    $cadena.="<td style='font-size: 12px;text-align:center;font-weight:bold'>&nbsp; NOMBRES &nbsp;</th>";
    
    if ($observaciones=='0'){
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; GRADO &nbsp;</td>";
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; CURSO &nbsp;</td>";
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; APROBADO &nbsp;</td>";
        $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; ESTADO &nbsp;</td>";
    }
    else{
    
        $cadena.="<td align='center' style='font-size: 12px;font-weight:bold'>&nbsp; OBSERVACIONES &nbsp;</td>";
    
    }
    
    $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; ACTUALIZAR&nbsp;</td>";
    $cadena.="<td style='font-size: 12px;font-weight:bold'>&nbsp; ELIMINAR&nbsp;</td>";

    $cadena.="</tr>";

    if($obj->numero_de_filas($resultado)!=0){

      while ( $tsArray = $obj->fetch_assoc($resultado) ){
            $data[] = $tsArray;
      }

      for($i=0;$i<count($data);$i++){

        $nombres=$data[$i]['p_apellido']." ".$data[$i]['s_apellido']." ".$data[$i]['p_nombre']." ".$data[$i]['s_nombre'];

        $cadena.="<tr>";
        $cadena.="<td align='center'>".($i+1)."</td>";
        $cadena.="<td align='center'>".$data[$i]['codigo']."</td>";
        $cadena.="<td style='font-size: 12px'>".($nombres)."</td>";
        
        if ($observaciones=='0'){
        
            $cadena.="<td align='center'><INPUT style='border-radius:15px;font-size: 12px;text-align:center;' VALUE='".$data[$i]['grado']."' TYPE='TEXT' NAME='GRAD_".$data[$i]['codigo']."' ID='GRAD_".$data[$i]['codigo']."' SIZE='3'></td>"; 
            $cadena.="<td align='center'><INPUT style='border-radius:15px;font-size: 12px;text-align:center;' VALUE='".$data[$i]['curso']."' TYPE='TEXT' NAME='CUR_".$data[$i]['codigo']."' ID='CUR_".$data[$i]['codigo']."' SIZE='3'></td>";       
            $cadena.="<td align='center'><INPUT style='border-radius:15px;font-size: 12px;text-align:center;' VALUE='".$data[$i]['promovido']."' TYPE='TEXT' NAME='PROM_".$data[$i]['codigo']."' ID='PROM_".$data[$i]['codigo']."' SIZE='3'></td>";        
            $cadena.="<td align='center'><INPUT style='border-radius:15px;font-size: 12px;text-align:center;' VALUE='".$data[$i]['estado']."' TYPE='TEXT' NAME='EST_".$data[$i]['codigo']."' ID='EST_".$data[$i]['codigo']."' SIZE='3'></td>";

        }
        else{
    
            $cadena.="<td align='center'><INPUT style='font-size: 12px;text-align:center;' VALUE='".($data[$i]['observacion'])."' TYPE='TEXT' NAME='OBSER_".$data[$i]['codigo']."' ID='OBSER_".$data[$i]['codigo']."' SIZE='50'></td>"; 
    
        }

        
        $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='actualizar_alumno(\"".$data[$i]['codigo']."\",".$observaciones.");' height='20' width='30' title='Actualizar'></td>";
        $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/foto1.jpg' onClick='eliminar_alumno(\"".$data[$i]['codigo']."\");' height='20' width='20'   title='Elimar'></td>";

       $cadena.="</tr>";
    }
    }else{
         $cadena.="<tr><td colspan='8' align='center'>Registro No Encontrado</td></tr>";
    }
    $cadena.="</table>";

    $cadena.="</center>";
    
    $obj->disconnect();
    
    echo $cadena;
 
    
 
}
//------------------------------------------------------------------------------

if ($_POST['accion']=='actualizar_curso_alumno'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $tabla_matricula="matriculas";
                                                           
   //-------------------------------------




   //-------------------------------------

    $codigo=$_REQUEST['codigo'];
    $estado_obser=$_REQUEST['estado_obser'];
    
    if($estado_obser==0){
       $grado=$_REQUEST['grado'];
       $curso=$_REQUEST['curso'];
       $aprobado=$_REQUEST['aprobado'];
       $estado=$_REQUEST['estado'];
       
       
       if ($aprobado=='SI'){
       
           if ($grado=='0')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO PRIMERO';
           if ($grado=='1')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO SEGUNDO';
           if ($grado=='2')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO TERCERO';
           if ($grado=='3')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO CUARTO';                      
           if ($grado=='4')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO QUINTO';
           if ($grado=='5')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO SEXTO';                      

           if ($grado=='6')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO S&eacute;PTIMO';                      

           if ($grado=='7')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO OCTAVO';
           if ($grado=='8')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO NOVENO';
           if ($grado=='9')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO D&eacute;CIMO';
           if ($grado=='10')
               $estado_final='ESTADO FINAL: PROMOVIDO AL GRADO UND&eacute;CIMO';                                             
       }
       
       if ($aprobado=='NO'){                 
           $estado_final='ESTADO FINAL: NO PROMOVIDO';       
       }
       
       $resultado=$obj->consulta("select * from boletin WHERE grado='".$grado."'");
       $param=$obj->consulta("select * from parametros");
       $row = $obj->fetch_assoc($param);

       $n=$obj->numero_de_filas($resultado);

       if ($n>=1){
           
           if ($row['anolectivo']>=2017)
               $obj->consulta("update ".$tabla_matricula." set curso='".$curso."',promovido='".$aprobado."',estado='".$estado."' where codigo='".$codigo."'");
           else
               $obj->consulta("update ".$tabla_matricula." set curso='".$curso."',promovido='".$aprobado."',estado='".$estado."',estado_final='".$estado_final."' where codigo='".$codigo."'");
           
           echo "ALUMNO ACTUALIZADO - A EXCEPCION DE GRADO";
      }
       else{
             if ($row['anolectivo']>=2017)      
                 $obj->consulta("update ".$tabla_matricula." set grado='".$grado."',curso='".$curso."',promovido='".$aprobado."',estado='".$estado."' where codigo='".$codigo."'");
             else
                 $obj->consulta("update ".$tabla_matricula." set grado='".$grado."',curso='".$curso."',promovido='".$aprobado."',estado='".$estado."',estado_final='".$estado_final."' where codigo='".$codigo."'");               
           
           echo "ALUMNO ACTUALIZADO";
      }
     
      if ($estado=='A')
           $obj->consulta("DELETE FROM alumnos_desertores where codigo='".$codigo."'");
     
     
    }
    else{
        $observacion=$_REQUEST['observacion'];
        $obj->consulta("update ".$tabla_matricula." set observacion='".($observacion)."' where codigo='".$codigo."'");
        echo "OBSERVACION ACTUALIZADA";
        }

     $obj->disconnect();

}

//------------------------------------------------------------------------------

if ($_POST['accion']=='eliminar_alumno'){

    $codigo=$_REQUEST['codigo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $tabla_matricula="matriculas";
                                                           
   //-------------------------------------

    $resultado=$obj->consulta("select * from boletin");

    $n=$obj->numero_de_filas($resultado);

    if ($n>=1){

       echo "NO SE PUEDE ELIMINAR ALUMNO";
    }
    else{

     $obj->consulta("DELETE FROM ".$tabla_matricula." WHERE codigo='".$codigo."'");
     echo "ALUMNO ELIMINADO";

    }

     $obj->disconnect();

}

?>
